Index: BOOK/boot/mips/kernel.xml
===================================================================
--- BOOK/boot/mips/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/mips/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -61,12 +61,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/mips64/kernel.xml
===================================================================
--- BOOK/boot/mips64/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/mips64/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -65,12 +65,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/ppc/kernel.xml
===================================================================
--- BOOK/boot/ppc/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/ppc/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -66,12 +66,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/ppc64/kernel.xml
===================================================================
--- BOOK/boot/ppc64/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/ppc64/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -65,12 +65,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/sparc/kernel.xml
===================================================================
--- BOOK/boot/sparc/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/sparc/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -61,12 +61,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/sparc64/kernel.xml
===================================================================
--- BOOK/boot/sparc64/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/sparc64/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -63,12 +63,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/x86/kernel.xml
===================================================================
--- BOOK/boot/x86/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/x86/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -82,12 +82,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../bootable/x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../bootable/x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../bootable/x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/boot/x86_64/kernel.xml
===================================================================
--- BOOK/boot/x86_64/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/boot/x86_64/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -65,12 +65,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/bootable/mips/kernel.xml
===================================================================
--- BOOK/bootable/mips/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/bootable/mips/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -72,16 +72,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='r'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/bootable/ppc/kernel.xml
===================================================================
--- BOOK/bootable/ppc/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/bootable/ppc/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -84,16 +84,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='r'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/bootable/sparc/kernel.xml
===================================================================
--- BOOK/bootable/sparc/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/bootable/sparc/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -76,16 +76,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='r'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/bootable/x86/kernel.xml
===================================================================
--- BOOK/bootable/x86/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/bootable/x86/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -104,26 +104,11 @@
 <screen os="n"><userinput>make</userinput></screen>
 
-    <para os="o">If using kernel modules, an
-    <filename>/etc/modprobe.conf</filename> file may be needed.
+    <para os="o">If using kernel modules, a configuration file in
+    <filename class="directory">/etc/modprobe.d</filename> file may be needed.
     Information pertaining to modules and kernel configuration is
     located in the kernel documentation in the <filename
     class="directory">Documentation</filename> directory of the kernel
-    sources tree. Also, <filename>modprobe.conf(5)</filename> may
+    sources tree. Also, <filename>modprobe.d(5)</filename> may
     be of interest.</para>
-
-    <para os="p">Be very careful when reading other documentation relating to
-    kernel modules because it usually applies to 2.4.x kernels only. As
-    far as we know, kernel configuration issues specific to Hotplug and
-    Eudev are not documented. The problem is that Eudev will create a device
-    node only if Hotplug or a user-written script inserts the corresponding
-    module into the kernel, and not all modules are detectable by Hotplug.
-    Note that statements like the one below in the
-    <filename>/etc/modprobe.conf</filename> file do not work with Eudev:</para>
-
-<screen os="q"><literal>alias char-major-XXX some-module</literal></screen>
-
-    <para os="r">Because of the complications with Eudev and modules,
-    we strongly recommend starting with a completely non-modular kernel
-    configuration, especially if this is the first time using Eudev.</para>
 
     <para os="s">Install the modules, if the kernel configuration uses
Index: BOOK/bootable/x86_64/kernel.xml
===================================================================
--- BOOK/bootable/x86_64/kernel.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/bootable/x86_64/kernel.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -76,16 +76,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='r'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision d94bdd0c353e10cff10820793f34716fbf772a87)
+++ BOOK/introduction/common/changelog.xml	(revision 21e76b6b1322f6f350d21714adb79ed4c0eb9bc1)
@@ -46,4 +46,7 @@
           <para>[William Harrington] - Update File to 5.19.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Text updates to kernel installation page.</para>
+        </listitem>
       </itemizedlist>
     </listitem>