Index: scripts/funcs/multiarch-funcs.sh
===================================================================
--- scripts/funcs/multiarch-funcs.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/funcs/multiarch-funcs.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -51,12 +51,4 @@
                     sed -e "s@lib[36][124]@lib@g"  -e "s@lib@${libdirname}@g" `
 
-   if [ "${MULTIARCH}" = "Y" ]; then
-      export PERL=`which_func perl-${BUILDENV}`
-      export PYTHON=`which_func python-${BUILDENV}`
-   else
-      export PERL=`which_func perl`
-      export PYTHON=`which_func python`
-   fi
-
 }
 
@@ -156,14 +148,56 @@
    if [ ! -d ${wrapperdir} ]; then mkdir -p ${wrapperdir} ; fi
 
-   cat > ${wrapper} <<EOF
-#!/bin/sh
-
-# Set to default if BUILDENV not set
-if [ -z \${BUILDENV} ]; then BUILDENV=${DEFAULTENV} ; fi
-export BUILDENV
-exec \${0}-\${BUILDENV} \${@}
+   cat > wrapper.c <<"EOF"
+/*
+
+   wrapper.c - c wrapper for cross-lfs multiarch handling
+   ------------------------------------------------------
+   Created By:  Ryan Oliver <ryan.oliver@pha.com.au> 20050606
+
+   $LastChangedBy$
+   $LastChangedDate$
+   $LastChangedRevision$
+   $HeadURL$
+
+ */
+
+#include <unistd.h>
+#include <stdlib.h>
+#include <errno.h>
+
+/* TODO: should check for __x86_64__ , __powerpc64__ etc and set accordingly */
+#ifndef DEFAULTENV
+#define DEFAULTENV "64"
+#endif
+
+int main(int argc, char **argv) {
+
+        char *filename;
+        char *buildenv;
+
+        if(!(buildenv = getenv("BUILDENV")))
+                buildenv = DEFAULTENV;
+
+        filename = (char *) malloc(strlen(argv[0]) + strlen(buildenv) + 2);
+        strcpy(filename, argv[0]);
+        strcat(filename, "-");
+        strcat(filename, buildenv);
+
+        execvp(filename, argv);
+        perror(argv[0]);
+        free(filename);
+
+}
 EOF
 
+   OLD_BUILDENV="${BUILDENV}"
+   BUILDENV="${DEFAULTENV}"
+   setup_multiarch
+
+   ${CC-gcc} ${ARCH_CFLAGS} -DDEFAULTENV=\"${DEFAULTENV}\" \
+       wrapper.c -o ${wrapper}
    chmod 755 ${wrapper}
+
+   BUILDENV="${OLD_BUILDENV}"
 
 }
Index: scripts/target-scripts/target-gcc.sh
===================================================================
--- scripts/target-scripts/target-gcc.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/target-scripts/target-gcc.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -194,4 +194,11 @@
    3.4* )
       apply_patch gcc-3.4.1-fix_configure_for_target_native
+   ;;
+
+   4.* )
+      # Testing only... set AS_FOR_TARGET and LD_FOR_TARGET so these are used
+      # for feature checks... will have to check for unintended side effects
+      extra_makeopts="AS_FOR_TARGET=${HST_TOOLS}/bin/${TARGET}-as"
+      extra_makeopts="${extra_makeopts} LD_FOR_TARGET=${HST_TOOLS}/bin/${TARGET}-ld"
    ;;
 esac
@@ -222,5 +229,5 @@
 min_log_init ${BUILDLOGS} &&
 make ${PMFLAGS} BOOT_LDFLAGS="-s" BOOT_CFLAGS="-O2 ${HOST_CFLAGS} -pipe" \
-   STAGE1_CFLAGS="-O2 ${HOST_CFLAGS} -pipe" all \
+   STAGE1_CFLAGS="-O2 ${HOST_CFLAGS} -pipe" ${extra_makeopts} all \
    >> ${LOGFILE} 2>&1 &&
 echo " o Build OK" || barf
Index: scripts/untested/blfs-scripts/blfs-mysql-32.sh
===================================================================
--- scripts/untested/blfs-scripts/blfs-mysql-32.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
+++ scripts/untested/blfs-scripts/blfs-mysql-32.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+### mysql ###
+
+cd ${SRC}
+LOG=mysql-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+set_libdirname
+setup_multiarch
+if [ ! "${libdirname}" = "lib" ]; then
+   extra_conf="--libdir=/usr/${libdirname}"
+fi
+
+unpack_tarball mysql-${MYSQL_VER}
+cd ${PKGDIR}
+
+max_log_init mysql ${MYSQL_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+CC="${CC-gcc} ${ARCH_CFLAGS}" \
+CXX="${CXX-g++} ${ARCH_CFLAGS}" \
+CFLAGS="${TGT_CFLAGS}" \
+CXXLAGS="${TGT_CFLAGS}" \
+CPPFLAGS="-D_GNU_SOURCE" \
+./configure --prefix=/usr ${extra_conf} \
+   --libexecdir=/usr/${libdirname}/mysql --localstatedir=/var/lib/mysql \
+   --enable-thread-safe-client --enable-assembler \
+   --enable-local-infile --with-named-thread-libs=-lpthread \
+   --with-unix-socket-path=/var/run/mysql/mysql.sock \
+   --without-debug --without-bench --without-readline \
+   --with-libwrap --with-openssl \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" &&
+
+min_log_init ${BUILDLOGS} &&
+make ${PMFLAGS} testdir=/usr/${libdirname}/mysql/mysql-test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" &&
+
+min_log_init ${INSTLOGS} &&
+make testdir=/usr/${libdirname}/mysql/mysql-test install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+if [ "Y" = "${MULTIARCH}" ]; then
+   use_wrapper /usr/bin/{mysql_config,mysql_fix_privilege_tables,mysql_install_db,mysqlbug}
+   create_stub_hdrs /usr/include/mysql/my_config.h
+fi
+
+cd /usr/${libdirname} &&
+ln -sf mysql/libmysqlclient{,_r}.so* .
+#!/bin/bash
+
+### mysql ###
+
+cd ${SRC}
+LOG=mysql-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+set_libdirname
+setup_multiarch
+if [ ! "${libdirname}" = "lib" ]; then
+   extra_conf="--libdir=/usr/${libdirname}"
+fi
+
+unpack_tarball mysql-${MYSQL_VER}
+cd ${PKGDIR}
+
+max_log_init mysql ${MYSQL_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+CC="${CC-gcc} ${ARCH_CFLAGS}" \
+CXX="${CXX-g++} ${ARCH_CFLAGS}" \
+CFLAGS="${TGT_CFLAGS}" \
+CXXLAGS="${TGT_CFLAGS}" \
+CPPFLAGS="-D_GNU_SOURCE" \
+./configure --prefix=/usr ${extra_conf} \
+   --libexecdir=/usr/${libdirname}/mysql --localstatedir=/var/lib/mysql \
+   --enable-thread-safe-client --enable-assembler \
+   --enable-local-infile --with-named-thread-libs=-lpthread \
+   --with-unix-socket-path=/var/run/mysql/mysql.sock \
+   --without-debug --without-bench --without-readline \
+   --with-libwrap --with-openssl \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" &&
+
+min_log_init ${BUILDLOGS} &&
+make ${PMFLAGS} testdir=/usr/${libdirname}/mysql/mysql-test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" &&
+
+min_log_init ${INSTLOGS} &&
+make testdir=/usr/${libdirname}/mysql/mysql-test install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+if [ "Y" = "${MULTIARCH}" ]; then
+   use_wrapper /usr/bin/{mysql_config,mysql_fix_privilege_tables,mysql_install_db,mysqlbug}
+   create_stub_hdrs /usr/include/mysql/my_config.h
+fi
+
+cd /usr/${libdirname} &&
+ln -sf mysql/libmysqlclient{,_r}.so* .
Index: scripts/untested/blfs-scripts/blfs-mysql-64.sh
===================================================================
--- scripts/untested/blfs-scripts/blfs-mysql-64.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
+++ scripts/untested/blfs-scripts/blfs-mysql-64.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+### mysql ###
+
+cd ${SRC}
+LOG=mysql-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+set_libdirname
+setup_multiarch
+if [ ! "${libdirname}" = "lib" ]; then
+   extra_conf="--libdir=/usr/${libdirname}"
+fi
+
+unpack_tarball mysql-${MYSQL_VER}
+cd ${PKGDIR}
+
+max_log_init mysql ${MYSQL_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+CC="${CC-gcc} ${ARCH_CFLAGS}" \
+CXX="${CXX-g++} ${ARCH_CFLAGS}" \
+CFLAGS="${TGT_CFLAGS}" \
+CXXLAGS="${TGT_CFLAGS}" \
+CPPFLAGS="-D_GNU_SOURCE" \
+./configure --prefix=/usr ${extra_conf} \
+   --libexecdir=/usr/${libdirname}/mysql --localstatedir=/var/lib/mysql \
+   --enable-thread-safe-client --enable-assembler \
+   --enable-local-infile --with-named-thread-libs=-lpthread \
+   --with-unix-socket-path=/var/run/mysql/mysql.sock \
+   --without-debug --without-bench --without-readline \
+   --with-libwrap --with-openssl \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" &&
+
+min_log_init ${BUILDLOGS} &&
+make ${PMFLAGS} testdir=/usr/${libdirname}/mysql/mysql-test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" &&
+
+min_log_init ${INSTLOGS} &&
+make testdir=/usr/${libdirname}/mysql/mysql-test install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+if [ "Y" = "${MULTIARCH}" ]; then
+   use_wrapper /usr/bin/{mysql_config,mysql_fix_privilege_tables,mysql_install_db,mysqlbug}
+   create_stub_hdrs /usr/include/mysql/my_config.h
+fi
+
+cd /usr/${libdirname} &&
+ln -sf mysql/libmysqlclient{,_r}.so* .
+#!/bin/bash
+
+### mysql ###
+
+cd ${SRC}
+LOG=mysql-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+set_libdirname
+setup_multiarch
+if [ ! "${libdirname}" = "lib" ]; then
+   extra_conf="--libdir=/usr/${libdirname}"
+fi
+
+unpack_tarball mysql-${MYSQL_VER}
+cd ${PKGDIR}
+
+max_log_init mysql ${MYSQL_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+CC="${CC-gcc} ${ARCH_CFLAGS}" \
+CXX="${CXX-g++} ${ARCH_CFLAGS}" \
+CFLAGS="${TGT_CFLAGS}" \
+CXXLAGS="${TGT_CFLAGS}" \
+CPPFLAGS="-D_GNU_SOURCE" \
+./configure --prefix=/usr ${extra_conf} \
+   --libexecdir=/usr/${libdirname}/mysql --localstatedir=/var/lib/mysql \
+   --enable-thread-safe-client --enable-assembler \
+   --enable-local-infile --with-named-thread-libs=-lpthread \
+   --with-unix-socket-path=/var/run/mysql/mysql.sock \
+   --without-debug --without-bench --without-readline \
+   --with-libwrap --with-openssl \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" &&
+
+min_log_init ${BUILDLOGS} &&
+make ${PMFLAGS} testdir=/usr/${libdirname}/mysql/mysql-test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" &&
+
+min_log_init ${INSTLOGS} &&
+make testdir=/usr/${libdirname}/mysql/mysql-test install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+if [ "Y" = "${MULTIARCH}" ]; then
+   use_wrapper /usr/bin/{mysql_config,mysql_fix_privilege_tables,mysql_install_db,mysqlbug}
+   create_stub_hdrs /usr/include/mysql/my_config.h
+fi
+
+cd /usr/${libdirname} &&
+ln -sf mysql/libmysqlclient{,_r}.so* .
Index: scripts/untested/blfs-scripts/blfs-python-32.sh
===================================================================
--- scripts/untested/blfs-scripts/blfs-python-32.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
+++ scripts/untested/blfs-scripts/blfs-python-32.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -0,0 +1,126 @@
+#!/bin/bash
+#
+# python
+#
+# Dependencies: None
+#
+
+cd ${SRC}
+LOG=blfs-python.log
+
+SELF=`basename ${0}`
+set_buildenv
+set_libdirname
+setup_multiarch
+if [ ! "${libdirname}" = "lib" ]; then
+   extra_conf="--libdir=/usr/${libdirname}"
+fi
+
+unpack_tarball Python-${PYTHON_VER} &&
+cd ${PKGDIR}
+
+case ${PYTHON_VER}} in
+   2.4 ) apply_patch Python-2.4-db43-1 ;;
+esac
+# Still applies to 2.4.1
+apply_patch Python-2.4-gdbm-1
+
+#------------------------------------------
+# TODO: need to do some edits for lib64 ...
+#------------------------------------------
+if [ "lib64" = ${libdirname} ]; then
+   case ${PYTHON_VER}} in
+      2.4 )   apply_patch Python-2.4-lib64-1 ;;
+      2.4.* ) apply_patch Python-2.4.1-lib64-1 ;;
+   esac
+fi
+
+max_log_init python ${PYTHON_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+CC="${CC-gcc} ${ARCH_CFLAGS}" \
+CXX="${CXX-g++} ${ARCH_CFLAGS}" \
+CFLAGS="${TGT_CFLAGS}" \
+CXXFLAGS="${TGT_CFLAGS}" \
+./configure --prefix=/usr --build="${TARGET}" \
+   --mandir=/usr/share/man --infodir=/usr/share/info \
+   --enable-shared ${extra_conf} \
+   --enable-ipv6 \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" &&
+
+min_log_init ${BUILDLOGS} &&
+make ${PMFLAGS} LDFLAGS="-s" \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" &&
+
+min_log_init ${INSTLOGS} &&
+make install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+if [ "Y" = "${MULTIARCH}" ]; then
+   use_wrapper /usr/bin/{python,python2.4}
+   create_stub_hdrs /usr/include/python2.4/pyconfig.h
+fi
+#!/bin/bash
+#
+# python
+#
+# Dependencies: None
+#
+
+cd ${SRC}
+LOG=blfs-python.log
+
+SELF=`basename ${0}`
+set_buildenv
+set_libdirname
+setup_multiarch
+if [ ! "${libdirname}" = "lib" ]; then
+   extra_conf="--libdir=/usr/${libdirname}"
+fi
+
+unpack_tarball Python-${PYTHON_VER} &&
+cd ${PKGDIR}
+
+case ${PYTHON_VER}} in
+   2.4 ) apply_patch Python-2.4-db43-1 ;;
+esac
+# Still applies to 2.4.1
+apply_patch Python-2.4-gdbm-1
+
+#------------------------------------------
+# TODO: need to do some edits for lib64 ...
+#------------------------------------------
+if [ "lib64" = ${libdirname} ]; then
+   case ${PYTHON_VER}} in
+      2.4 )   apply_patch Python-2.4-lib64-1 ;;
+      2.4.* ) apply_patch Python-2.4.1-lib64-1 ;;
+   esac
+fi
+
+max_log_init python ${PYTHON_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+CC="${CC-gcc} ${ARCH_CFLAGS}" \
+CXX="${CXX-g++} ${ARCH_CFLAGS}" \
+CFLAGS="${TGT_CFLAGS}" \
+CXXFLAGS="${TGT_CFLAGS}" \
+./configure --prefix=/usr --build="${TARGET}" \
+   --mandir=/usr/share/man --infodir=/usr/share/info \
+   --enable-shared ${extra_conf} \
+   --enable-ipv6 \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" &&
+
+min_log_init ${BUILDLOGS} &&
+make ${PMFLAGS} LDFLAGS="-s" \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" &&
+
+min_log_init ${INSTLOGS} &&
+make install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+if [ "Y" = "${MULTIARCH}" ]; then
+   use_wrapper /usr/bin/{python,python2.4}
+   create_stub_hdrs /usr/include/python2.4/pyconfig.h
+fi
Index: scripts/untested/blfs-scripts/blfs-shared-mime-info.sh
===================================================================
--- scripts/untested/blfs-scripts/blfs-shared-mime-info.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/untested/blfs-scripts/blfs-shared-mime-info.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -11,8 +11,4 @@
 unpack_tarball shared-mime-info-${SHD_MIME_INFO_VER}
 cd ${PKGDIR}
-
-if [ "${MULTIARCH}" = "Y" ]; then
-   export INTLTOOL_PERL="${PERL}"
-fi
 
 max_log_init shared-mime-info ${SHD_MIME_INFO_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
Index: scripts/untested/blfs-scripts/blfs-xml-parser-pm-32.sh
===================================================================
--- scripts/untested/blfs-scripts/blfs-xml-parser-pm-32.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
+++ scripts/untested/blfs-scripts/blfs-xml-parser-pm-32.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+### XML-Parser perl module ###
+
+cd ${SRC}
+LOG=xml-parser-pm-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+
+# No need to set libdirname etc, will use perl defaults which should
+# correctly set CC and libdir 
+
+unpack_tarball XML-Parser-${XML_PARSER_PM_VER}
+cd ${PKGDIR}
+
+max_log_init XML-Parser ${XML_PARSER_PM_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+perl Makefile.PL \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" || barf
+
+min_log_init ${BUILDLOGS} &&
+make \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" || barf
+
+min_log_init ${TESTLOGS} &&
+make test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Test OK" || barf
+
+min_log_init ${INSTLOGS} &&
+make install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+#!/bin/bash
+
+### XML-Parser perl module ###
+
+cd ${SRC}
+LOG=xml-parser-pm-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+
+# No need to set libdirname etc, will use perl defaults which should
+# correctly set CC and libdir 
+
+unpack_tarball XML-Parser-${XML_PARSER_PM_VER}
+cd ${PKGDIR}
+
+max_log_init XML-Parser ${XML_PARSER_PM_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+perl Makefile.PL \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" || barf
+
+min_log_init ${BUILDLOGS} &&
+make \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" || barf
+
+min_log_init ${TESTLOGS} &&
+make test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Test OK" || barf
+
+min_log_init ${INSTLOGS} &&
+make install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
Index: scripts/untested/blfs-scripts/blfs-xml-parser-pm-64.sh
===================================================================
--- scripts/untested/blfs-scripts/blfs-xml-parser-pm-64.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
+++ scripts/untested/blfs-scripts/blfs-xml-parser-pm-64.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+### XML-Parser perl module ###
+
+cd ${SRC}
+LOG=xml-parser-pm-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+
+# No need to set libdirname etc, will use perl defaults which should
+# correctly set CC and libdir 
+
+unpack_tarball XML-Parser-${XML_PARSER_PM_VER}
+cd ${PKGDIR}
+
+max_log_init XML-Parser ${XML_PARSER_PM_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+perl Makefile.PL \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" || barf
+
+min_log_init ${BUILDLOGS} &&
+make \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" || barf
+
+min_log_init ${TESTLOGS} &&
+make test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Test OK" || barf
+
+min_log_init ${INSTLOGS} &&
+make install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
+#!/bin/bash
+
+### XML-Parser perl module ###
+
+cd ${SRC}
+LOG=xml-parser-pm-blfs.log
+
+SELF=`basename ${0}`
+set_buildenv
+
+# No need to set libdirname etc, will use perl defaults which should
+# correctly set CC and libdir 
+
+unpack_tarball XML-Parser-${XML_PARSER_PM_VER}
+cd ${PKGDIR}
+
+max_log_init XML-Parser ${XML_PARSER_PM_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
+perl Makefile.PL \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Configure OK" || barf
+
+min_log_init ${BUILDLOGS} &&
+make \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Build OK" || barf
+
+min_log_init ${TESTLOGS} &&
+make test \
+   >> ${LOGFILE} 2>&1 &&
+echo " o Test OK" || barf
+
+min_log_init ${INSTLOGS} &&
+make install \
+   >> ${LOGFILE} 2>&1 &&
+echo " o ALL OK" || barf
+
Index: scripts/untested/gnome-scripts/gnome-desktop-scripts/gnome-desktop-scrollkeeper.sh
===================================================================
--- scripts/untested/gnome-scripts/gnome-desktop-scripts/gnome-desktop-scrollkeeper.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/untested/gnome-scripts/gnome-desktop-scripts/gnome-desktop-scrollkeeper.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -25,7 +25,4 @@
 #######
 
-# Set perl binary to use if multiarch (else intltool component barfs)
-export INTLTOOL_PERL="${PERL}"
-
 max_log_init scrollkeeper ${SCROLLKEEPER_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
 CC="${CC-gcc} ${ARCH_CFLAGS}" \
Index: scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-glib.sh
===================================================================
--- scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-glib.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-glib.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -27,9 +27,4 @@
 fi
 
-# If ${PERL} is set, strip the path from it so PERL_PATH gets set correctly
-if [ ! -z "${PERL}" ]; then
-   export PERL=`basename ${PERL}`
-fi
-
 max_log_init glib ${GLIB_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
 CC="${CC-gcc} ${ARCH_CFLAGS}" \
Index: scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-gnome-mime-data.sh
===================================================================
--- scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-gnome-mime-data.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-gnome-mime-data.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -20,8 +20,4 @@
 cd ${PKGDIR}
 
-if [ "${MULTIARCH}" = "Y" ]; then
-   export INTLTOOL_PERL="${PERL}"
-fi
-
 # TODO: does this use g++
 max_log_init gnome-mime-data ${GNOME_MIME_DATA_VER} "blfs (shared)" ${CONFLOGS} ${LOG}
Index: scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-intltool.sh
===================================================================
--- scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-intltool.sh	(revision 617118d6a8591049833974f6dc4490d1546d4a5f)
+++ scripts/untested/gnome-scripts/gnome-platform-scripts/gnome-platform-intltool.sh	(revision 23b6afb19c7bdfb479e0bb34f16ab07a2e9ec027)
@@ -5,10 +5,4 @@
 cd ${SRC}
 LOG=intltool-gnome-platform.log
-
-set_libdirname
-# Set perl binary to use if multiarch...
-if [ "${MULTIARCH}" = "Y" ]; then
-   export PERL="/usr/bin/perl-${BUILDENV}"
-fi
 
 # override TARBALLS to point at gnome/platform tree