Index: BOOK/boot/x86-chapter.xml
===================================================================
--- BOOK/boot/x86-chapter.xml	(revision 409d955efc70a432f0b80266bb7250bde3e306f5)
+++ BOOK/boot/x86-chapter.xml	(revision 24efabe0ddb96885b3b15e64a7ed474166bd2f6a)
@@ -22,5 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/kernel.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub-build.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
@@ -28,5 +28,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86/grub-build.xml
===================================================================
--- BOOK/boot/x86/grub-build.xml	(revision 409d955efc70a432f0b80266bb7250bde3e306f5)
+++ BOOK/boot/x86/grub-build.xml	(revision 24efabe0ddb96885b3b15e64a7ed474166bd2f6a)
@@ -29,44 +29,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p4'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p5'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p6'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p7'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='p8'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-<screen os="aa"><userinput>./configure --prefix=/usr \
-   --build=${CLFS_HOST} --host=${CLFS_TARGET}</userinput></screen>
+<screen os="ab"><userinput>./configure --prefix=/usr \
+    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
+    --sysconfdir=/etc</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -82,16 +47,5 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="ab"><userinput>make DESTDIR=${CLFS} install
-mkdir -v ${CLFS}/boot/grub
-cp -v ${CLFS}/usr/lib/grub/*/stage{1,2} ${CLFS}/boot/grub</userinput></screen>
-
-    <para os="ac">The directory in
-    <filename class="directory">${CLFS}/usr/lib/grub</filename> (its name
-    depends on your arch) contains a number of <filename>*stage1_5</filename>
-    files, different ones for different file systems. Review the files
-    available and copy the appropriate ones to the <filename
-    class="directory">${CLFS}/boot/grub</filename> directory. Most users will
-    copy the <filename>e2fs_stage1_5</filename> and/or
-    <filename>reiserfs_stage1_5</filename> files.</para>
+<screen os="ag"><userinput>make DESTDIR=${CLFS} install</userinput></screen>
 
   </sect2>
Index: BOOK/boot/x86/grub.xml
===================================================================
--- BOOK/boot/x86/grub.xml	(revision 409d955efc70a432f0b80266bb7250bde3e306f5)
+++ 	(revision )
@@ -1,106 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-grub">
-  <?dbhtml filename="grub.html"?>
-
-  <title>Making the Temporary System Bootable</title>
-
-  <indexterm zone="ch-boot-grub">
-    <primary sortas="a-GRUB">GRUB</primary>
-    <secondary>boot, configuring</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='c'])"/>
-
-<screen os="d"><userinput>dd if=${CLFS}/boot/grub/stage1 of=/dev/fd0 bs=512 count=1
-dd if=${CLFS}/boot/grub/stage2 of=/dev/fd0 bs=512 seek=1</userinput></screen>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='e'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='f'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='g'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='h'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='i'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='j'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='k'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='l'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='m'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='n'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='o'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='p'])"/>
-
-<screen><userinput>cat &gt; ${CLFS}/boot/grub/menu.lst &lt;&lt; "EOF"
-<literal># Begin /boot/grub/menu.lst
-
-# By default boot the first menu entry.
-default 0
-
-# Allow 30 seconds before booting the default.
-timeout 30
-
-# Use prettier colors.
-color green/black light-green/black
-
-# The first entry is for CLFS.
-title CLFS &version;
-root (hd0,3)
-kernel /boot/clfskernel-&linux-version; root=/dev/hda4</literal>
-EOF</userinput></screen>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../bootable/x86/grub.xml"
-  xpointer="xpointer(//*[@os='q'])"/>
-
-<screen os="r"><userinput>cat &gt;&gt; ${CLFS}/boot/grub/menu.lst &lt;&lt; "EOF"
-<literal>title Red Hat
-root (hd0,2)
-kernel /boot/kernel-2.6.5 root=/dev/hda3
-initrd /boot/initrd-2.6.5</literal>
-EOF</userinput></screen>
-
-</sect1>
Index: BOOK/boot/x86_64-64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-64-chapter.xml	(revision 409d955efc70a432f0b80266bb7250bde3e306f5)
+++ BOOK/boot/x86_64-64-chapter.xml	(revision 24efabe0ddb96885b3b15e64a7ed474166bd2f6a)
@@ -22,6 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/bin86.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/lilo-build.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/flags.xml"/>
@@ -30,5 +29,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/lilo.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86_64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-chapter.xml	(revision 409d955efc70a432f0b80266bb7250bde3e306f5)
+++ BOOK/boot/x86_64-chapter.xml	(revision 24efabe0ddb96885b3b15e64a7ed474166bd2f6a)
@@ -22,5 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub-build.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/flags.xml"/>
@@ -29,5 +29,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/devices.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changingowner.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/grub.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86_64/grub-build.xml
===================================================================
--- BOOK/boot/x86_64/grub-build.xml	(revision 409d955efc70a432f0b80266bb7250bde3e306f5)
+++ 	(revision )
@@ -1,103 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-grub-build" role="wrap">
-  <?dbhtml filename="grub-build.html"?>
-
-  <title>GRUB-&grub-version;</title>
-
-  <indexterm zone="ch-boot-grub-build">
-    <primary sortas="a-GRUB">GRUB</primary>
-    <secondary>boot</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../final-system/x86/grub.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of GRUB</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='n1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p4'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p5'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p6'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p7'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='p8'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-<screen os="aa"><userinput>CC="${CC} ${BUILD32}" ./configure --prefix=/usr \
-   --build=${CLFS_HOST} --host=${CLFS_TARGET}</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='ab'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/grub-build.xml"
-    xpointer="xpointer(//*[@os='ac'])"/>
-
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-grub" role="."/></para>
-
-  </sect2>
-
-</sect1>