Index: BOOK/alpha-index.xml
===================================================================
--- BOOK/alpha-index.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/alpha-index.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -50,5 +50,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/alpha-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/alpha-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/alpha-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/alpha-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
Index: BOOK/arm-index.xml
===================================================================
--- BOOK/arm-index.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/arm-index.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -50,5 +50,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/arm-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/arm-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/arm-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/arm-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/final-system/alpha-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -40,5 +40,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
Index: BOOK/final-system/arm-chapter.xml
===================================================================
--- BOOK/final-system/arm-chapter.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/final-system/arm-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -40,5 +40,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
Index: OK/final-system/common/dhcpcd.xml
===================================================================
--- BOOK/final-system/common/dhcpcd.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ 	(revision )
@@ -1,82 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-final-system-dhcpcd" role="wrap">
-  <?dbhtml filename="dhcpcd.html"?>
-
-  <title>DHCPCD-&dhcpcd-version;</title>
-
-  <indexterm zone="ch-final-system-dhcpcd">
-    <primary sortas="a-DHCPCD">DHCPCD</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <para>The DHCPCD package provides a DHCP Client for network configuration.</para>
-
-  </sect2>
-
-  &env-target;
-
-  <sect2 role="installation">
-    <title>Installation of DHCPCD</title>
-
-    <note os="a">
-      <para>This build is optional. You only need to build this if you intend
-      on using a DHCP Server to automatically configure at least one network
-      interface on your system.</para>
-    </note>
-
-    <para os="b">Prepare DHCPCD for compilation:</para>
-
-<screen os="c"><userinput>make PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
-    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd</userinput></screen>
-
-    <para os="d">This package does not come with a test suite.</para>
-
-    <para os="e">Install the package:</para>
-
-<screen os="f"><userinput>make PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
-    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd \
-    DESTDIR=${CLFS} install</userinput></screen>
-
-  </sect2>
-
-  <sect2 id="contents-dhcpcd" role="content">
-    <title>Contents of dhcpcd</title>
-
-    <segmentedlist>
-      <segtitle>Installed files</segtitle>
-
-      <seglistitem>
-        <seg>dhcpcd</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="dhcpcd">
-        <term><command>dhcpcd</command></term>
-        <listitem>
-          <para>dhcpcd is an implementation of the DHCP client specified in
-          RFC 2131. It gets the host information from a DHCP server and
-          configures the network interface automatically.</para>
-          <indexterm zone="ch-final-system-dhcpcd">
-            <primary sortas="e-dhcpcd">dhcpcd</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: BOOK/final-system/hppa-chapter.xml
===================================================================
--- BOOK/final-system/hppa-chapter.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/final-system/hppa-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -40,5 +40,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/final-system/x86-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -40,5 +40,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bash.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
Index: BOOK/hppa-index.xml
===================================================================
--- BOOK/hppa-index.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/hppa-index.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -50,5 +50,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/hppa-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/hppa-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/hppa-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/hppa-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/introduction/common/changelog.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -40,4 +40,7 @@
       <para>July 11, 2009</para>
       <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Moved DHCPCD to the Network section</para>
+        </listitem>
         <listitem>
           <para>[jciccone] - Updated Less to 429.</para>
Index: BOOK/network/alpha-chapter.xml
===================================================================
--- BOOK/network/alpha-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
+++ BOOK/network/alpha-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-network" xreflabel="Networking Configuration">
+  <?dbhtml dir="network"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Networking Configuration</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resolv.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcp.xml"/>
+
+</chapter>
Index: BOOK/network/arm-chapter.xml
===================================================================
--- BOOK/network/arm-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
+++ BOOK/network/arm-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-network" xreflabel="Networking Configuration">
+  <?dbhtml dir="network"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Networking Configuration</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resolv.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcp.xml"/>
+
+</chapter>
Index: OK/network/chapter.xml
===================================================================
--- BOOK/network/chapter.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<chapter id="chapter-network" xreflabel="Networking Configuration">
-  <?dbhtml dir="network"?>
-  <?dbhtml filename="chapter.html"?>
-
-  <title>Networking Configuration</title>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resolv.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/static.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcp.xml"/>
-
-</chapter>
Index: BOOK/network/common/dhcpcd.xml
===================================================================
--- BOOK/network/common/dhcpcd.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
+++ BOOK/network/common/dhcpcd.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -0,0 +1,80 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-network-dhcpcd" role="wrap">
+  <?dbhtml filename="dhcpcd.html"?>
+
+  <title>DHCPCD-&dhcpcd-version;</title>
+
+  <indexterm zone="ch-network-dhcpcd">
+    <primary sortas="a-DHCPCD">DHCPCD</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The DHCPCD package provides a DHCP Client for network configuration.</para>
+
+  </sect2>
+
+  &env-target;
+
+  <sect2 role="installation">
+    <title>Installation of DHCPCD</title>
+
+    <para os="a">If you wish to configure your network to connect to a DHCP
+    server, you will first need to install a DHCP client. CLFS uses the
+    DHCPCD package for this.</para>
+
+    <para os="b">Prepare DHCPCD for compilation:</para>
+
+<screen os="c"><userinput>make PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
+    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd</userinput></screen>
+
+    <para os="d">This package does not come with a test suite.</para>
+
+    <para os="e">Install the package:</para>
+
+<screen os="f"><userinput>make PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
+    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd \
+    DESTDIR=${CLFS} install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-dhcpcd" role="content">
+    <title>Contents of dhcpcd</title>
+
+    <segmentedlist>
+      <segtitle>Installed files</segtitle>
+
+      <seglistitem>
+        <seg>dhcpcd</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="dhcpcd">
+        <term><command>dhcpcd</command></term>
+        <listitem>
+          <para>dhcpcd is an implementation of the DHCP client specified in
+          RFC 2131. It gets the host information from a DHCP server and
+          configures the network interface automatically.</para>
+          <indexterm zone="ch-network-dhcpcd">
+            <primary sortas="e-dhcpcd">dhcpcd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: BOOK/network/hppa-chapter.xml
===================================================================
--- BOOK/network/hppa-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
+++ BOOK/network/hppa-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-network" xreflabel="Networking Configuration">
+  <?dbhtml dir="network"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Networking Configuration</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resolv.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcp.xml"/>
+
+</chapter>
Index: BOOK/network/x86-chapter.xml
===================================================================
--- BOOK/network/x86-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
+++ BOOK/network/x86-chapter.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-network" xreflabel="Networking Configuration">
+  <?dbhtml dir="network"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Networking Configuration</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resolv.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcpcd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dhcp.xml"/>
+
+</chapter>
Index: BOOK/x86-index.xml
===================================================================
--- BOOK/x86-index.xml	(revision fef8487e66149c45326e39cb1dc4dc7da8feb670)
+++ BOOK/x86-index.xml	(revision 25e78980c25529c6df61f8f139823ae5defc7929)
@@ -50,5 +50,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/x86-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/x86-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="network/x86-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/x86-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>