Index: BOOK/chroot/common/devices.xml
===================================================================
--- BOOK/chroot/common/devices.xml	(revision 7eb92dfaf74fcf9a61f7c00d277ec31a734de614)
+++ BOOK/chroot/common/devices.xml	(revision 27e160767667a288633977f2b5b3508235f8e679)
@@ -9,5 +9,5 @@
   <?dbhtml filename="devices.html"?>
 
-  <title>Populating /dev</title>
+  <title>Mounting Kernel Filesystems</title>
 
   <indexterm zone="ch-chroot-devices">
@@ -16,60 +16,7 @@
 
   <sect2>
-    <title>Creating Initial Device Nodes</title>
+    <title>Mounting Additional Kernel Filesystems</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../boot/common/devices.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-<screen><userinput>mknod -m 600 /dev/console c 5 1
-mknod -m 666 /dev/null c 1 3</userinput></screen>
-
-  </sect2>
-
-  <sect2>
-    <title>Mounting tmpfs and Populating /dev</title>
-
-    <para>The recommended method of populating the <filename
-    class="directory">/dev</filename> directory with devices is to
-    mount a virtual filesystem (such as <systemitem
-    class="filesystem">tmpfs</systemitem>) on the <filename
-    class="directory">/dev</filename> directory, and allow the devices
-    to be created dynamically on that virtual filesystem as they are
-    detected or accessed. This is generally done during the boot process.
-    Since this new system has not been booted, it is necessary to do what
-    the LFS-Bootscripts package would otherwise do by mounting <filename
-    class="directory">/dev</filename>:</para>
-
-<screen><userinput>mount -n -vt tmpfs none /dev</userinput></screen>
-
-    <para>The Udev package is what actually creates the devices in the
-    <filename class="directory">/dev</filename> directory. Since it will
-    not be installed until later on in the process, manually create the
-    minimal set of device nodes needed to complete the building of this
-    system:</para>
-
-<screen><userinput>mknod -m 622 /dev/console c 5 1
-mknod -m 666 /dev/null c 1 3
-mknod -m 666 /dev/zero c 1 5
-mknod -m 666 /dev/ptmx c 5 2
-mknod -m 666 /dev/tty c 5 0
-mknod -m 444 /dev/random c 1 8
-mknod -m 444 /dev/urandom c 1 9
-chown -v root:tty /dev/{console,ptmx,tty}</userinput></screen>
-
-    <para>There are some symlinks and directories required by LFS that
-    are created during system startup by the LFS-Bootscripts package. Since
-    this is a chroot environment and not a booted environment, those symlinks
-    and directories need to be created here:</para>
-
-<screen><userinput>ln -sv /proc/self/fd /dev/fd
-ln -sv /proc/self/fd/0 /dev/stdin
-ln -sv /proc/self/fd/1 /dev/stdout
-ln -sv /proc/self/fd/2 /dev/stderr
-ln -sv /proc/kcore /dev/core
-mkdir -v /dev/pts
-mkdir -v /dev/shm</userinput></screen>
-
-    <para>Finally, mount the proper virtual (kernel) file systems on the
+    <para>Mount the proper virtual (kernel) file systems on the
     newly-created directories:</para>
 
Index: BOOK/chroot/common/kernfs.xml
===================================================================
--- BOOK/chroot/common/kernfs.xml	(revision 7eb92dfaf74fcf9a61f7c00d277ec31a734de614)
+++ BOOK/chroot/common/kernfs.xml	(revision 27e160767667a288633977f2b5b3508235f8e679)
@@ -34,10 +34,25 @@
   are mounted again before entering the chroot environment.</para>
 
-  <para>Additional file systems will soon be mounted from within the
-  chroot environment. To keep the host up to date, perform a <quote>fake
-  mount</quote> for each of these now:</para>
+  <para>Two device nodes, /dev/console and /dev/null, are required to be
+  present on the filesystem.  These are needed by the kernel even before
+  starting Udev early in the boot process, so we create them here:</para>
 
-<screen><userinput>mount -f -vt tmpfs tmpfs $LFS/dev
-mount -f -vt tmpfs tmpfs $LFS/dev/shm
+<screen><userinput>mknod -m 600 $LFS/dev/console c 5 1
+mknod -m 666 $LFS/dev/null c 1 3</userinput></screen>
+
+  <para>Once the system is complete and booting, the rest of our device
+  nodes are created by the Udev package.  Since this package is not
+  available to us right now, we must take other steps to provide device
+  nodes under on the LFS filesystem.  We will use the <quote>bind</quote>
+  option in the mount command to make our host system's /dev structure
+  appear in the new LFS filesystem:</para>
+
+<screen><userinput>/tools/bin/mount -o bind /dev $LFS/dev</userinput></screen>
+
+  <para>Additional file systems will soon be mounted from within the chroot 
+  environment. To keep the host up to date, perform a <quote>fake mount</quote>
+  for each of these now:</para>
+
+<screen><userinput>mount -f -vt tmpfs tmpfs $LFS/dev/shm
 mount -f -vt devpts -o gid=10,mode=620 devpts $LFS/dev/pts</userinput></screen>
 