Index: temp-system/common/gzip.xml
===================================================================
--- temp-system/common/gzip.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/common/gzip.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -31,5 +31,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/gzip.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
 <screen os="ac"><userinput>./configure --prefix=/tools \
Index: temp-system/mips64-64/gcc.xml
===================================================================
--- temp-system/mips64-64/gcc.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/mips64-64/gcc.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -110,5 +110,5 @@
     ../gcc-&gcc-version;/configure --prefix=/tools --disable-multilib \
     --build=${LFS_HOST} --host=${LFS_TARGET} --target=${LFS_TARGET} \
-    --libexecdir=/tools/lib --with-local-prefix=/tools --enable-long-long --with-abi=64 \
+    --with-local-prefix=/tools --enable-long-long --with-abi=64 \
     --enable-c99 --enable-shared --enable-threads=posix --enable-__cxa_atexit \
     --disable-nls --enable-languages=c,c++ --disable-libstdcxx-pch</userinput></screen>
Index: temp-system/mips64/gcc.xml
===================================================================
--- temp-system/mips64/gcc.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/mips64/gcc.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -110,6 +110,6 @@
     ../gcc-&gcc-version;/configure --prefix=/tools --libdir=/tools/lib64 \
     --build=${LFS_HOST} --host=${LFS_TARGET} --target=${LFS_TARGET} --with-abi=64 \
-    --libexecdir=/tools/lib64 --with-local-prefix=/tools --enable-long-long \
-    --enable-c99 --enable-shared --enable-threads=posix --enable-__cxa_atexit \
+    --with-local-prefix=/tools --enable-long-long --enable-c99 \
+    --enable-shared --enable-threads=posix --enable-__cxa_atexit \
     --disable-nls --enable-languages=c,c++ --disable-libstdcxx-pch</userinput></screen>
 
Index: temp-system/multilib/gzip.xml
===================================================================
--- temp-system/multilib/gzip.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/multilib/gzip.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -33,5 +33,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/gzip.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
 <screen os="ac"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
Index: temp-system/x86/gcc.xml
===================================================================
--- temp-system/x86/gcc.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/x86/gcc.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -89,6 +89,6 @@
 <screen os="ck"><userinput>../gcc-&gcc-version;/configure --prefix=/tools \
     --build=${LFS_HOST} --host=${LFS_TARGET} --target=${LFS_TARGET} \
-    --libexecdir=/tools/lib --with-local-prefix=/tools --enable-long-long \
-    --enable-c99 --enable-shared --enable-threads=posix --enable-__cxa_atexit \
+    --with-local-prefix=/tools --enable-long-long --enable-c99 \
+    --enable-shared --enable-threads=posix --enable-__cxa_atexit \
     --disable-nls --enable-languages=c,c++ --disable-libstdcxx-pch</userinput></screen>
 
@@ -97,11 +97,4 @@
 
       <varlistentry os="cl1">
-        <term><parameter>--libexecdir=/tools/lib</parameter></term>
-        <listitem>
-          <para>This do ...</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry os="cl2">
         <term><parameter>--disable-libstdcxx-pch</parameter></term>
         <listitem>
Index: temp-system/x86_64-64/gcc.xml
===================================================================
--- temp-system/x86_64-64/gcc.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/x86_64-64/gcc.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -117,8 +117,4 @@
       xpointer="xpointer(//*[@os='cl1'])"/>
 
-      <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-      href="../x86/gcc.xml"
-      xpointer="xpointer(//*[@os='cl2'])"/>
-
     </variablelist>
 
Index: temp-system/x86_64/gcc.xml
===================================================================
--- temp-system/x86_64/gcc.xml	(revision 9a636be1c34f441b6ae780661a098db137f2330a)
+++ temp-system/x86_64/gcc.xml	(revision 28a6fd89c9fad42d6f61563e4d8bfe2158799073)
@@ -102,6 +102,6 @@
     ../gcc-&gcc-version;/configure --prefix=/tools --libdir=/tools/lib64 \
     --build=${LFS_HOST} --host=${LFS_TARGET} --target=${LFS_TARGET} \
-    --libexecdir=/tools/lib64 --with-local-prefix=/tools --enable-long-long \
-    --enable-c99 --enable-shared --enable-threads=posix --enable-__cxa_atexit \
+    --with-local-prefix=/tools --enable-long-long --enable-c99 \
+    --enable-shared --enable-threads=posix --enable-__cxa_atexit \
     --disable-nls --enable-languages=c,c++ --disable-libstdcxx-pch</userinput></screen>
 
@@ -116,15 +116,7 @@
       </varlistentry>
 
-      <varlistentry os="dd2">
-        <term><parameter>--libexecdir=/tools/lib64</parameter></term>
-        <listitem>
-          <para>This puts all files that are installed using the libexecdir
-          variable into /tools/lib64.</para>
-        </listitem>
-      </varlistentry>
-
       <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
       href="../x86/gcc.xml"
-      xpointer="xpointer(//*[@os='cl2'])"/>
+      xpointer="xpointer(//*[@os='cl1'])"/>
 
     </variablelist>