Index: testsuite-tools/alpha-chapter.xml
===================================================================
--- testsuite-tools/alpha-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/alpha-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/mips-chapter.xml
===================================================================
--- testsuite-tools/mips-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/mips-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/mips64-64-chapter.xml
===================================================================
--- testsuite-tools/mips64-64-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/mips64-64-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/mips64-chapter.xml
===================================================================
--- testsuite-tools/mips64-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/mips64-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/ppc-chapter.xml
===================================================================
--- testsuite-tools/ppc-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/ppc-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/sparc-chapter.xml
===================================================================
--- testsuite-tools/sparc-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/sparc-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/sparc64-64-chapter.xml
===================================================================
--- testsuite-tools/sparc64-64-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/sparc64-64-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/sparc64-chapter.xml
===================================================================
--- testsuite-tools/sparc64-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/sparc64-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/x86-chapter.xml
===================================================================
--- testsuite-tools/x86-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/x86-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/x86_64-64-chapter.xml
===================================================================
--- testsuite-tools/x86_64-64-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/x86_64-64-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
Index: testsuite-tools/x86_64-chapter.xml
===================================================================
--- testsuite-tools/x86_64-chapter.xml	(revision 48faf01c2a26f58b42305f6d82e1c60a095f7527)
+++ testsuite-tools/x86_64-chapter.xml	(revision 30e566e5f5ef5452d2271f14a883d0c8c315216d)
@@ -10,5 +10,5 @@
   <?dbhtml filename="chapter.html"?>
 
-  <title>Constructing a Testsuite Tools</title>
+  <title>Constructing Testsuite Tools</title>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>