Index: BOOK/bootable/alpha/kernel.xml
===================================================================
--- BOOK/bootable/alpha/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/alpha/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/mips/kernel.xml
===================================================================
--- BOOK/bootable/mips/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/mips/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/mips64/kernel.xml
===================================================================
--- BOOK/bootable/mips64/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/mips64/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/ppc/kernel.xml
===================================================================
--- BOOK/bootable/ppc/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/ppc/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/sparc/kernel.xml
===================================================================
--- BOOK/bootable/sparc/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/sparc/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/sparc64/kernel.xml
===================================================================
--- BOOK/bootable/sparc64/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/sparc64/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/x86/kernel.xml
===================================================================
--- BOOK/bootable/x86/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/x86/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 
Index: BOOK/bootable/x86_64/kernel.xml
===================================================================
--- BOOK/bootable/x86_64/kernel.xml	(revision 35df0c1c9b4394f6a3b62d5e307a141a0e77c78b)
+++ BOOK/bootable/x86_64/kernel.xml	(revision 32a86c11a23a9997cb9004ea3d7ab206fbe63f74)
@@ -3,7 +3,5 @@
   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
   %general-entities;
-  %patches-entities;
 ]>
 